import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PickleContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    pickleController({ address, network }: ContractOpts): import("./ethers").PickleController;
    pickleJar({ address, network }: ContractOpts): import("./ethers").PickleJar;
    pickleJarMasterchef({ address, network }: ContractOpts): import("./ethers").PickleJarMasterchef;
    pickleJarSingleRewardStaking({ address, network }: ContractOpts): import("./ethers").PickleJarSingleRewardStaking;
    pickleJarUniv3({ address, network }: ContractOpts): import("./ethers").PickleJarUniv3;
    pickleMiniChefV2({ address, network }: ContractOpts): import("./ethers").PickleMiniChefV2;
    pickleRegistry({ address, network }: ContractOpts): import("./ethers").PickleRegistry;
    pickleRewarder({ address, network }: ContractOpts): import("./ethers").PickleRewarder;
    pickleStrategyUniv3({ address, network }: ContractOpts): import("./ethers").PickleStrategyUniv3;
    pickleVotingEscrow({ address, network }: ContractOpts): import("./ethers").PickleVotingEscrow;
    pickleVotingEscrowReward({ address, network }: ContractOpts): import("./ethers").PickleVotingEscrowReward;
    pickleVotingEscrowRewardV2({ address, network }: ContractOpts): import("./ethers").PickleVotingEscrowRewardV2;
}
export type { PickleController } from './ethers';
export type { PickleJar } from './ethers';
export type { PickleJarMasterchef } from './ethers';
export type { PickleJarSingleRewardStaking } from './ethers';
export type { PickleJarUniv3 } from './ethers';
export type { PickleMiniChefV2 } from './ethers';
export type { PickleRegistry } from './ethers';
export type { PickleRewarder } from './ethers';
export type { PickleStrategyUniv3 } from './ethers';
export type { PickleVotingEscrow } from './ethers';
export type { PickleVotingEscrowReward } from './ethers';
export type { PickleVotingEscrowRewardV2 } from './ethers';
